unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, FormSettings;

type
  TMainForm = class(TForm)
    ServerBut: TButton;
    ClientBut: TButton;
    FormSettings1: TFormSettings;
    procedure Exit1Click(Sender: TObject);
    procedure ServerButClick(Sender: TObject);
    procedure ClientButClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  protected
  public
  end;

var
  MainForm: TMainForm;

implementation

uses ServerDlg, ClientFrm;

{$R *.DFM}

procedure TMainForm.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TMainForm.ServerButClick(Sender: TObject);
begin
   // Hide;
   ServerForm.Show;
end;

procedure TMainForm.ClientButClick(Sender: TObject);
begin
   // Hide;
   ClientForm.Show;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   FormSettings1.SaveSettings;
end;

end.
